# calc_tickadj User's Manual

This document describes the use of the NTP Project's `calc_tickadj` program. This document applies to version 4.2.8p7 of `calc_tickadj`.

## Short Contents

calc_tickadj User's Manual

### Invoking calc_tickadj

The `calc_tickadj` script uses provided ntp drift file to generate optimal tick value. Generally, ntpd can do better job if the drift value is the smallest possible number.

The example output of

         $ ./calc_tickadj
         81.699 (drift)
         9999 usec; 9999779 nsec
         $ cat /etc/ntp/drift
         -23.159

means the following. If tick on that box is 10,000, by making the value 9999 we'll shift the box from its current drift of -23.159 to a drift of 81.699, and in doing so we'll speed the clock up a little every second instead of slowing the clock down a little.

If 'tick' on that box is 10,000,000 then by setting it to 9999779 the drift value will be somewhere around 0.0.

`calc_tickadj` tries to determine the the tick value by using `tickadj` program from ntp package. If this doesn't work you can specify current tick manually on command line.

This section was generated by AutoGen, using the `agtexi-cmd` template and the option descriptions for the `calc_tickadj` program.

#### calc_tickadj help/usage (--help)

This is the automatically generated usage text for calc_tickadj.

The text printed is the same whether selected with the `help` option (--help) or the `more-help` option (--more-help). `more-help` will print the usage text by passing it through a pager program. `more-help` is disabled on platforms without a working `fork(2)` function. The `PAGER` environment variable is used to select the program, defaulting to more. Both will exit with a status code of 0.

    calc_tickadj - Calculates "optimal" value for tick given ntp drift file. - Ver. 4.2.7p467
    USAGE: calc_tickadj [ -<flag> [<val>] | --<name>[{=| }<val>] ]...

        -d, --drift-file=str         Ntp drift file to use
        -t, --tick=num               Tick value of this host
        -?, --help                   Display usage information and exit
            --more-help              Pass the extended usage text through a pager

    Options are specified by doubled hyphens and their name or by a single
    hyphen and the flag character.

#### drift-file option (-d)

This is the “ntp drift file to use” option. This option takes a string argument. Use the specified drift file for calculations

#### tick option (-t)

This is the “tick value of this host” option. This option takes a number argument. The current tick which to adjustment will be calculated

#### calc_tickadj exit status

One of the following exit values will be returned:

0 (EXIT_SUCCESS)
  Successful program execution.
1 (EXIT_FAILURE)
  The operation failed or the command syntax was not valid.